%global momorel 5

Summary:     SKK Language Engine for IIIMF
Name:	     iiimf-skk
Version:     0.1.22.96
Release:     %{momorel}m
License:     MIT/X
Group:	     User Interface/X
URL:         http://www.momonga-linux.org/~famao/iiimf-skk/
%NoSource 0      http://www.momonga-linux.org/~famao/iiimf-skk-0.1.22.96.tar.gz 37ee803b8165d4d9e11a81e602eae18f
#NoSource 0   http://downloads.sourceforge.jp/iiimf-skk/9344/iiimf-skk-%{version}.tar.gz
Requires:    glib
Requires:    gtk+
Requires:    skkserv
Requires:    db4
Requires:    iiimf
Requires:    iiimf_conv
Requires:    iiimf-xiiimp
Requires:    libxml2
BuildRequires: glib-devel
BuildRequires: gtk+-devel
BuildRequires: db4-devel >= 4.3
BuildRequires: libxml2-devel
BuildRoot:   %{_tmppath}/%{name}-%{version}-root

%description
IIIMF-SKK is a Language Engine Module for IIIMF(Internet/Intranet Input Method Framework).
This module provides SKK(Simple Kana to Kanji conversion program, an input method of Japanese) 
like input method. 

%prep
%setup -q

%build
%undefine __libtoolize
%configure --enable-gtk2
make

%install
rm -rf %{buildroot}
%makeinstall xauxdir=%{buildroot}%{_libdir}/im/locale/ja/skk/xaux \
				leifdir=%{buildroot}%{_libdir}/im/leif plugindir=%{buildroot}%{_libdir}/%{name}/plugins

# Momonga Linux Specific
mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit/xim.d
cat <<EOF >%{buildroot}%{_sysconfdir}/X11/xinit/xim.d/SKKLE
NAME="SKKLE/IIIMP"
IM_EXEC="env LC_ALL=ja_JP.eucJP /usr/lib/im/httx -if skk -lc_basic_locale ja_JP.eucJP -xim htt_xbe"
XMODIFIERS=@im=htt
HTT_DISABLE_STATUS_WINDOW=t
HTT_GENERATES_KANAKEY=t
HTT_USES_LINUX_XKEYSYM=t
GTK_IM_MODULE=xim
QT_IM_MODULE=xim
export XMODIFIERS HTT_DISABLE_STATUS_WINDOW HTT_GENERATES_KANAKEY \
HTT_USES_LINUX_XKEYSYM GTK_IM_MODULE QT_IM_MODULE

export IM_EXEC
EOF

install -D lib/all.config.xml %{buildroot}%{_datadir}/config-sample/iiimf-skk/config.xml.sample

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/im/locale/ja/skk
%{_libdir}/im/leif/skk.*
%{_libdir}/%{name}/plugins
%{_sysconfdir}/X11/xinit/xim.d/SKKLE
%{_datadir}/config-sample/iiimf-skk

%changelog
* Mon Jan  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.1.22.96-5m)
- rebuild against db4.3

* Sat Nov  6 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.22.96-4m)
- change xim.d/SKKLE (add QT_IM_MODULE)

* Fri Nov  5 2004 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (0.1.22.96-3m)
- change xim.d/SKKLE (add GTK_IM_MODULE)

* Tue Jun 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.1.22.96-2m)
- rebuild against db4.2

* Sun May 03 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (0.1.22.96-1m)
- version 0.1.22.96

* Sun May 03 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (0.1.22.95-1m)
- version 0.1.22.95

* Fri Apr 23 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (0.1.22.94-1m)
- version 0.1.22.94

* Fri Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.1.22.93-2m)
- change License

* Fri Apr 18 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.1.22.93-1m)
- version 0.1.22.93

* Mon Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.1.22.91-2m)
- rebuild against for XFree86-4.3.0

* Thu Mar 13 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.1.22.92-1m)
- version 0.1.22.92

* Mon Feb 23 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.1.22.91-1m)
- version 0.1.22.91

* Sat Feb 15 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.1.22.90-1m)
- version 0.1.22.90

* Thu Jan 02 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.1.22-1m)
- version 0.1.22

* Sun Nov 10 2002 Motonobu Ichimura <famao@momonga-linux.org>
- (0.1.21-1m)
- version 0.1.21

* Fri Sep 13 2002 Motonobu Ichimura <famao@momonga-linux.org>
- first import to momonga

* Sun Mar 03 2002 Motonobu Ichimura <famao@kondara.org>
- first release for public
